| Bsoft 2.0.5 Bernard's software package

Macros | Functions | Variables
rwmgEMX.cpp File Reference

Reads and writes micrograph exchange files. More...

`#include "mg_processing.h"`
`#include "mg_img_proc.h"`
`#include "mg_tomography.h"`
`#include "rwmg.h"`
`#include "file_util.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Macros
#define | CONV_SWITCH 0

## Functions
int | read_project_emx (Bstring &filename, Bproject *project, Bstring &xsdfile)
| Reading micrograph parameters from XML files. More...
int | write_project_emx (Bstring &filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to an EMX file. More...

## Variables
int | verbose

## Detailed Description

Reads and writes micrograph exchange files.

Author
  Bernard Heymann

Date
  Created: 20130123
  Modified: 20161003

Definition in file rwmgEMX.cpp.

## Macro Definition Documentation

## ◆ CONV_SWITCH

#define CONV_SWITCH 0

Definition at line 21 of file rwmgEMX.cpp.

## Function Documentation

## ◆ read_project_emx()

int read_project_emx | ( | Bstring & | filename,
|  | Bproject * | project,
|  | Bstring & | xsdfile
| ) |  |

Reading micrograph parameters from XML files.

Parameters

  &filename | file name.
  *project | initialized project structure.
  &xsdfile | XML schema to validate against (can be empty).

Returns
  int error code (<0 means failure).

Definition at line 241 of file rwmgEMX.cpp.

## ◆ write_project_emx()

int write_project_emx | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to an EMX file.

Parameters

  &filename | file name.
  *project | project structure.
  mg_select | flag to only write selected micrographs.
  rec_select | flag to only convert selected reconstructions.

Returns
  int error code (<0 means failure).

Definition at line 317 of file rwmgEMX.cpp.

## Variable Documentation

## ◆ verbose

int verbose